For the complete documentation index, see llms.txt. This page is also available as Markdown.

Default module

List all rules of a group (Network ACL)

get

Returns all of rules belong to a firewall policy (group of rules) There are 2 types of rule groups:

  • Inbound (ingress) rules: An inbound rule permits servers to receive traffic from the specified IPv4 address ranges, the IP address ranges that are specified by a prefix list, or the servers that are associated with a destination Network ACL.

  • Outbound (egress) rules: An outbound rule permits servers to send traffic to the specified IPv4 address ranges, the IP address ranges specified by a prefix list, or the servers that are associated with a source Network ACL.

  • A default rule is automatically created with a NACL that allows all outbound traffic, and you can delete it.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstringRequired

The unique identifier of the VPC where the Network ACL belongs.

network_acl_idstringRequired

The unique identifier of the network ACL comes from the "List all network ACLs" API.

firewall_policy_idstringRequired

The unique ID of the policy (Obtain this ID by "List all rule groups of a Network ACL" API).

Header parameters
AuthorizationstringRequiredExample: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpYXQiOjE3NTYwODY2MTIuNTQ5OTUsInN1YiI6eyJpZCI6IjMwYjljMmM4LTE1ZGMtNDg2Mi1hZWQ5LTE2MTA4N2RiZDYwMSIsImVtYWlsIjoidGh1Y3RtM0BmcHQuY29tIiwianRpIjoiNDkxZDU3OWMtZDIzZC00NmE1LWI4YTAtYmNlOTcyN2I4Y2U2In0sImV4cCI6MTc1NjEwNDYxMi41NDk5NX0.32Svwd_yCgWNES6HeNl7-vkapM2_8_sILdVyXYdIX5Q
OrgIdstringRequiredExample: abd4f613-3838-4b2f-b12c-b00898a8abf6
UserIdstringRequiredExample: 30b9c2c8-15dc-4862-aed9-161087dbd601
UserEmailstringRequiredExample: [email protected]
sentry-tracestringRequiredExample: 9451014e352940c6856e156dccd4f65b-b552e7f783f7bb5a-1
Responses
200Success
application/json
totalintegerRequired

The number of rule groups.

get/api/v2/vmware/vpc/{vpc_id}/hpc/network-acls/{network_acl_id}/firewall-policies/{firewall_policy_id}/firewall-rules
GET /api/v2/vmware/vpc/{vpc_id}/hpc/network-acls/{network_acl_id}/firewall-policies/{firewall_policy_id}/firewall-rules HTTP/1.1
Authorization: text
OrgId: text
UserId: text
UserEmail: text
sentry-trace: text
Accept: */*
200Success
{
  "data": [
    {
      "id": "56e7a04e-0ced-4c0b-b492-de517519dacf",
      "firewall_policy_id": "fdf5fc52-7853-4c66-a076-dd736d893432",
      "firewall_group_id": "f88e9dc6-2744-4cf8-b23f-982308b46279",
      "osp_firewall_rule_id": "45f7a96f-e332-4310-a294-331605a132ee",
      "protocol": "All",
      "port": "All",
      "source_cidr": "10.0.0.0/24",
      "destination_cidr": null,
      "traffic_action": "Allow",
      "rule_number": 1,
      "is_default": false,
      "status": "Active",
      "type": "All",
      "created_at": "2025-06-25T03:18:35",
      "updated_at": "2025-06-25T03:18:35"
    },
    {
      "id": "48fa0150-653a-4d30-9076-9ba30b8c1cb8",
      "firewall_policy_id": "fdf5fc52-7853-4c66-a076-dd736d893432",
      "firewall_group_id": "f88e9dc6-2744-4cf8-b23f-982308b46279",
      "osp_firewall_rule_id": "290441fc-d69c-4b84-ac9e-41dfc5caaacb",
      "protocol": "All",
      "port": "All",
      "source_cidr": "103.160.74.28/31",
      "destination_cidr": null,
      "traffic_action": "Allow",
      "rule_number": 2,
      "is_default": false,
      "status": "Active",
      "type": "All",
      "created_at": "2025-06-25T04:49:27",
      "updated_at": "2025-06-25T04:49:27"
    },
    {
      "id": "1ae54fe8-642a-43d4-8b78-1d00dfa2934f",
      "firewall_policy_id": "fdf5fc52-7853-4c66-a076-dd736d893432",
      "firewall_group_id": "f88e9dc6-2744-4cf8-b23f-982308b46279",
      "osp_firewall_rule_id": "0392e144-bf23-4e3c-adf4-984adb89b713",
      "protocol": "TCP",
      "port": "22",
      "source_cidr": "103.160.74.29/32",
      "destination_cidr": null,
      "traffic_action": "Allow",
      "rule_number": 3,
      "is_default": false,
      "status": "Active",
      "type": "SSH",
      "created_at": "2025-08-05T10:00:00",
      "updated_at": "2025-08-05T10:00:00"
    },
    {
      "id": "8cdf782e-1bef-4735-a13c-65208db3ead1",
      "firewall_policy_id": "fdf5fc52-7853-4c66-a076-dd736d893432",
      "firewall_group_id": "f88e9dc6-2744-4cf8-b23f-982308b46279",
      "osp_firewall_rule_id": "66e23807-51a4-4a63-9cce-23ae254cc47e",
      "protocol": "TCP",
      "port": "22",
      "source_cidr": "103.160.79.2/32",
      "destination_cidr": null,
      "traffic_action": "Allow",
      "rule_number": 4,
      "is_default": false,
      "status": "Active",
      "type": "SSH",
      "created_at": "2025-08-05T10:15:58",
      "updated_at": "2025-08-05T10:15:58"
    },
    {
      "id": "79d3026c-da47-42af-81b4-ba0339393ba1",
      "firewall_policy_id": "fdf5fc52-7853-4c66-a076-dd736d893432",
      "firewall_group_id": "f88e9dc6-2744-4cf8-b23f-982308b46279",
      "osp_firewall_rule_id": "042dc0b2-a474-4de0-88d5-e5493dc58c6d",
      "protocol": "All",
      "port": "All",
      "source_cidr": "0.0.0.0/0",
      "destination_cidr": null,
      "traffic_action": "Allow",
      "rule_number": 5,
      "is_default": false,
      "status": "Active",
      "type": "All",
      "created_at": "2025-08-11T14:38:22",
      "updated_at": "2025-08-11T14:38:22"
    }
  ],
  "total": 5
}

Quota list

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AuthorizationstringRequiredExample: Bearer token
Responses
200Success
application/json
messagenullOptional
get/api/v2/vmware/vpc/<uuid(strict=False):vpc_id>/hpc/server/quota
GET /api/v2/vmware/vpc/<uuid(strict=False):vpc_id>/hpc/server/quota HTTP/1.1
Authorization: text
Accept: */*
200Success
{
  "message": null,
  "data": {
    "detail": [
      {
        "package_id": "text",
        "server_type": "text",
        "available_server": 1,
        "total_quota": 1,
        "vpc_used": 1
      }
    ],
    "total_available_server": 1
  }
}

Last updated

Was this helpful?